Bug 14782 - can't search by username anymore
Summary: can't search by username anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-03 17:15 UTC by Nicole C. Engard
Modified: 2016-06-21 21:38 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14782 - Add possibility to search patrons using the username (userid) (4.04 KB, patch)
2015-09-05 14:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14782 - Add possibility to search patrons using the username (userid) (4.17 KB, patch)
2015-09-08 11:41 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 14782: Add tests (1.76 KB, patch)
2015-09-13 16:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14782 - Add possibility to search patrons using the username (userid) (4.24 KB, patch)
2015-09-13 16:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-09-03 17:15:42 UTC
We used to be able to search by username when doing patron searching and that availability is gone.  I think this happened with the new patron search form in ajax.
Comment 1 Marc Véron 2015-09-05 14:41:42 UTC
Same on current master, I can not search after username (userid).

Switching version from 1.18 to master (hope that is OK).
Comment 2 Marc Véron 2015-09-05 14:58:34 UTC Comment hidden (obsolete)
Comment 3 j.kylmala 2015-09-08 11:41:06 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-09-13 15:49:37 UTC
I am in favor of this change, but it would be good to have a test to back it up!
Comment 5 Katrin Fischer 2015-09-13 16:12:43 UTC
Created attachment 42498 [details] [review]
Bug 14782: Add tests

Run:
perl t/db_dependent/Utils/Datatables_Members.t
Comment 6 Katrin Fischer 2015-09-13 16:13:20 UTC
Created attachment 42499 [details] [review]
[PASSED QA] Bug 14782 - Add possibility to search patrons using the username (userid)

This patch makes it possible to search for users using the username (userid / login name).

To test:

- Apply patch
- Do searches from Home > Patrons
- Search after a full username or parts of a username with Search fields = Standard and Search fields = Userid
- Perform the searches from the top bar (expand with [+]) and from the "Filters" part at the left
- Make sure that other searches behave as before

Signed-off-by: Joonas Kylmälä <j.kylmala@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2015-09-13 16:14:18 UTC
Tried my hand at writing some... hopefully they are useful.
Comment 8 Tomás Cohen Arazi 2015-09-16 13:53:19 UTC
Patches pushed to master.

Thanks Katrina and Marc!
Comment 9 Chris Cormack 2015-09-22 17:28:24 UTC
Pushed to 3.20.x will be in 3.20.4
Comment 10 Liz Rea 2015-09-22 23:25:08 UTC
Pushed to 3.18.x will be in 3.18.11